Hidevelopers of,

 

       I’m a user of Kylin.

 

       I’m facing following errors at the third step when building a cube (Kylin_Fact_Distinct_Columns):

 

      

 

       The versions of my environment is as follows:

 

       I think it’s maybe a problem caused by guava versions. Hadoop 3.1.3 used guava-27.0but kylin call function from guava versions less than guava-16.

 

       So, how can I fixed this problem.

 

       Thank you!

 

Best Begards,

Sunshine